header.wp-block-template-part {
    position: absolute;
    top: 0;
    background-color: transparent;
    width: 100%;
    z-index: 100;
    color: var(--primary);
    padding-inline: 2rem;
    box-sizing: border-box;
    .wp-block-navigation__container {
        gap: 3rem;
        path {
            stroke: var(--primary);
        }
        &:not(.mobile-navigator){
            .wp-block-navigation__submenu-container {
            background-color: var(--brown);
                &, * {
                    color: var(--beige);
                }
            }
        }

        &.mobile-navigator, .wp-block-navigation__submenu-container {
            &, * {
                text-transform: initial;
            }
        }
    }
    a {
        text-transform: uppercase;
        font-size: 1rem;
        letter-spacing: var(--letter-spacing-large);
        &:hover{
            text-decoration: none;
            opacity: 0.8;
        }
    }
}

.header-logo-wrapper {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.header-inner {
    flex-direction: row;
    justify-content: space-between;
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    min-height: 80px;
    .wp-block-group:not(.header-logo-wrapper) {
        width: max-content;
        padding: 0;
    }
}

.wp-block-navigation__responsive-container {
    background-color: var(--secondary) !important;
    .wp-block-navigation__responsive-container-close {
        right: 2rem;
        top: 2rem;
    }
    .wp-block-navigation__responsive-container-content {
        padding-inline: 2rem;
    }
    /* .wp-block-navigation__container {
        display: flex;
        flex-direction: column;
        gap: 1rem;

    } */

    .wp-block-navigation__responsive-container-close {
        color: var(--primary) !important;
    }
}

.wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content {
    outline: none;
}

@media (min-width: 782px) {
  .wp-block-navigation__submenu-container .wp-block-navigation-item__label {
    white-space: nowrap;
  }
}

.wp-block-navigation__responsive-container.hidden-by-default {
    margin: 0;
    padding: 0;
}